﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" DefaultTargets="Build">
  <PropertyGroup>
    <ProjectGuid>{F7897A85-5513-4F87-B130-C3AF96FD485E}</ProjectGuid>
    <ProjectTypeGuids>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <OutputType>WinExe</OutputType>
    <RootNamespace>USB_CAMERA</RootNamespace>
    <AssemblyName>USB_CAMERA</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <TargetFrameworkProfile />
    <NoWin32Manifest>False</NoWin32Manifest>
    <AllowUnsafeBlocks>False</AllowUnsafeBlocks>
    <NoStdLib>False</NoStdLib>
    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
    <IntermediateOutputPath>obj\$(Configuration)\</IntermediateOutputPath>
    <WarningLevel>4</WarningLevel>
    <ApplicationIcon>..\..\camera.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Platform)' == 'AnyCPU' ">
    <PlatformTarget>x86</PlatformTarget>
    <BaseAddress>4194304</BaseAddress>
    <RegisterForComInterop>False</RegisterForComInterop>
    <GenerateSerializationAssemblies>Auto</GenerateSerializationAssemblies>
    <FileAlignment>4096</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
    <OutputPath>bin\Debug\</OutputPath>
    <DebugSymbols>True</DebugSymbols>
    <DebugType>Full</DebugType>
    <Optimize>False</Optimize>
    <CheckForOverflowUnderflow>True</CheckForOverflowUnderflow>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <BaseIntermediateOutputPath>obj\</BaseIntermediateOutputPath>
    <StartAction>Project</StartAction>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
    <OutputPath>bin\Release\</OutputPath>
    <DebugSymbols>False</DebugSymbols>
    <DebugType>None</DebugType>
    <Optimize>True</Optimize>
    <CheckForOverflowUnderflow>False</CheckForOverflowUnderflow>
    <DefineConstants>TRACE</DefineConstants>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Microsoft.CSharp">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="Newtonsoft.Json">
      <HintPath>..\..\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="OzekiSDK">
      <HintPath>..\..\OzekiSDK.dll</HintPath>
    </Reference>
    <Reference Include="PresentationCore">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data" />
    <Reference Include="System.Data.DataSetExtensions">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="USB_CAMERA" />
    <Folder Include="USB_CAMERA\Properties" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="USB_CAMERA\CameraData.cs" />
    <Compile Include="USB_CAMERA\MainForm.cs" />
    <Compile Include="USB_CAMERA\MainForm.Designer.cs" />
    <Compile Include="USB_CAMERA\Program.cs" />
    <Compile Include="USB_CAMERA\Properties\AssemblyInfo.cs" />
    <Compile Include="USB_CAMERA\Properties\Resources.Designer.cs" />
    <Compile Include="USB_CAMERA\Properties\Settings.Designer.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="USB_CAMERA\MainForm.resx" />
    <EmbeddedResource Include="USB_CAMERA\Properties\Resources.resx" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="USB_CAMERA\app.config" />
    <None Include="USB_CAMERA\Properties\Settings.settings" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>